Package com.salesforce.hyperdb.grpc

## Interface QueryStatusOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QueryStatus`, `QueryStatus.Builder`

    public interface QueryStatusOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getChunkCount()` `uint64 chunk_count = 3;`
`QueryStatus.CompletionStatus` `getCompletionStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`int` `getCompletionStatusValue()` `.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`
`com.google.protobuf.Timestamp` `getExpirationTime()` `.google.protobuf.Timestamp expiration_time = 6;`
`com.google.protobuf.TimestampOrBuilder` `getExpirationTimeOrBuilder()` `.google.protobuf.Timestamp expiration_time = 6;`
`double` `getProgress()` `double progress = 5;`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`long` `getRowCount()` `uint64 row_count = 4;`
`boolean` `hasExpirationTime()` `.google.protobuf.Timestamp expiration_time = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getQueryId

    String getQueryId()

`string query_id = 1;`

Returns:
  The queryId.

#### getQueryIdBytes

    com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Returns:
  The bytes for queryId.

#### getCompletionStatusValue

    int getCompletionStatusValue()

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Returns:
  The enum numeric value on the wire for completionStatus.

#### getCompletionStatus

    QueryStatus.CompletionStatus getCompletionStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus completion_status = 2;`

Returns:
  The completionStatus.

#### getChunkCount

    long getChunkCount()

`uint64 chunk_count = 3;`

Returns:
  The chunkCount.

#### getRowCount

    long getRowCount()

`uint64 row_count = 4;`

Returns:
  The rowCount.

#### getProgress

    double getProgress()

`double progress = 5;`

Returns:
  The progress.

#### hasExpirationTime

    boolean hasExpirationTime()

`.google.protobuf.Timestamp expiration_time = 6;`

Returns:
  Whether the expirationTime field is set.

#### getExpirationTime

    com.google.protobuf.Timestamp getExpirationTime()

`.google.protobuf.Timestamp expiration_time = 6;`

Returns:
  The expirationTime.

#### getExpirationTimeOrBuilder

    com.google.protobuf.TimestampOrBuilder getExpirationTimeOrBuilder()

`.google.protobuf.Timestamp expiration_time = 6;`